// Projet NFA 031 2014-2015
// Fait par : Jacques LAFORGUE
// Date : 23/01/2015
//
// CORRECTION DU PROJET
//
package fr.cnam.projet;

import java.io.*;
import java.util.*;

import fr.cnam.util.*;

//
// Classe principale d'execution du projet
//
public class Projet
{
    // Methode principal d'execution
    //
    public static void main(String a_args[])
    {
        Terminal.ecrireStringln("Execution du projet par J. LAFORGUE");

        // Le fichier contenant les rendez-vous est un fichier texte
        //  qui se trouve dans le repertoire data.
        // Eclipse executant le programme dans le repertoire du projet
        //   (le repertoire contenant src) on accede au fichier en
        //   utilisant le path relatif data/Agenda.txt
        //
        Agenda agenda = new Agenda("data/Agenda.txt");

        // Creation de l'IHM qui prend en entree l'agenda afin que
        //  l'IHM appelle les methode de l'agenda (traitements) quand
        //  on utilise un bouton.
        IHMAgenda ihm = new IHMAgenda(agenda);
    }
}
